%global debug_package %{nil}
%global gitea_user gitea

Name:           gitea
Version:        1.22.6
Release:        1%{?dist}
Summary:        Git with a cup of tea, painless self-hosted git service

License:        MIT
URL:            https://gitea.io
Source0:        https://github.com/go-gitea/gitea/releases/download/v%{version}/%{name}-src-%{version}.tar.gz

Source10:       %{name}.service
Source11:       %{name}-sysusers.conf

BuildRequires:  systemd
BuildRequires:  golang
BuildRequires:  npm

BuildRequires:  pam-devel

Requires(pre):  shadow-utils
Requires:       git

Recommends:     git-lfs


%description
Gitea is a painless self-hosted all-in-one software development service,
including Git hosting, code review, team collaboration, package registry
and CI/CD. It's open source under MIT license. It is designed to be
lightweight, easy to use, and highly customizable, making it an ideal choice
for both small teams and large organizations.


%prep
%autosetup -n %{name}-src-%{version}

# Change default user in sample config
sed -i "s|RUN_USER = git|RUN_USER = %{gitea_user}|" custom/conf/app.example.ini


%build
TAGS="bindata pam sqlite sqlite_unlock_notify" \
LDFLAGS="-X \"code.gitea.io/gitea/modules/setting.CustomPath=%{_sharedstatedir}/%{name}\" \
         -X \"code.gitea.io/gitea/modules/setting.CustomConf=%{_sysconfdir}/%{name}/app.ini\" \
         -X \"code.gitea.io/gitea/modules/setting.AppWorkPath=%{_sharedstatedir}/%{name}\"" \
%make_build


%install
install -m 0755 -Dp %{name}                     %{buildroot}%{_bindir}/%{name}
install -m 0750 -dp                             %{buildroot}%{_sharedstatedir}/%{name}
install -m 0750 -dp                             %{buildroot}%{_sharedstatedir}/%{name}/custom
install -m 0750 -dp                             %{buildroot}%{_sharedstatedir}/%{name}/data
install -m 0750 -dp                             %{buildroot}%{_sharedstatedir}/%{name}/log

install -m 0644 -Dp custom/conf/app.example.ini %{buildroot}%{_sysconfdir}/%{name}/app.example.ini
touch                                           %{buildroot}%{_sysconfdir}/%{name}/app.ini

install -m 0644 -Dp %{SOURCE10}                 %{buildroot}%{_unitdir}/%{name}.service
install -m 0644 -Dp %{SOURCE11}                 %{buildroot}%{_sysusersdir}/%{name}.conf


%pre
%sysusers_create_package %{name} %{SOURCE11}


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%{_sysusersdir}/%{name}.conf
%dir %attr(770, root, %{gitea_user}) %{_sysconfdir}/%{name}
%config %attr(640, root, %{gitea_user}) %{_sysconfdir}/%{name}/app.example.ini
%config(noreplace) %attr(640, %{gitea_user}, %{gitea_user}) %{_sysconfdir}/%{name}/app.ini
%dir %attr(750, %{gitea_user}, %{gitea_user}) %{_sharedstatedir}/%{name}
%attr(750, %{gitea_user}, %{gitea_user}) %{_sharedstatedir}/%{name}/*


%changelog
* Tue Mar 11 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.22.6-1
- Rebuilt for MSVSphere 9.5

* Tue Mar 11 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.22.6-1
- Initial build for MSVSphere
